{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "CHARGES_NON_BUDGETAIRES"; 
            externalType = NUMBER; 
            name = chargesNonBudgetaires; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "COUTS_INDIRECTS_NON_IMPUTES"; 
            externalType = NUMBER; 
            name = coutsIndirectsNonImputes; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "ID_OPE_FRAIS_GESTION"; 
            externalType = NUMBER; 
            name = idOpeFraisGestion; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ID_OPE_REPART_PARTENAIRE"; 
            externalType = NUMBER; 
            name = idOpeRepartPartenaire; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MONTANT; 
            externalType = NUMBER; 
            name = montant; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MONTANT_POURCENTAGE_TRANCHE"; 
            externalType = NUMBER; 
            name = montantPourcentageTranche; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }
    ); 
    attributesUsedForLocking = (idOpeFraisGestion, idOpeRepartPartenaire); 
    className = "org.cocktail.fwkcktlgfcoperations.server.metier.operation.FraisGestion"; 
    classProperties = (
        chargesNonBudgetaires, 
        coutsIndirectsNonImputes, 
        montant, 
        montantPourcentageTranche, 
        repartPartenaireTranche
    ); 
    externalName = "GFC.OPE_FRAIS_GESTION"; 
    fetchSpecificationDictionary = {}; 
    name = OpeFraisGestion; 
    primaryKeyAttributes = (idOpeFraisGestion); 
    relationships = (
        {
            destination = OpeRepartPartenaireTranche; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {
                    destinationAttribute = idOpeRepartPartenaire; 
                    sourceAttribute = idOpeRepartPartenaire; 
                }
            ); 
            name = repartPartenaireTranche; 
        }
    ); 
}
